@media (max-width: 768px) { /* Adjust styles for mobile screens */ body { font-size: 14px; } }

.menu-frame {
  background-color: #ddd;
  padding: 20px;
  border: 2px solid #ddd;
  border-radius: 10px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
  display: flex;
  gap: 10%;
}

.menu-container {
  position: relative;
  width: 65%;
  height: 100%;
  background-color: #d5e5e7;
  padding: 15px;
  border: 2px solid #fff;
  border-radius: 10px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

.hamburger-menu {
  position: absolute;
  top: 10px;
  right: 10px;
  width: 30px;
  height: 20px;
  cursor: pointer;
}

.bar {
  width: 100%;
  height: 2px;
  background-color: #fff;
  padding: 2px 2px;
  margin-bottom: 3px;
  margin-top:7px;
  margin-right:20px;
  transition: transform 0.2s ease;
}

.narv-menu {
  position: absolute;
  top: 60px; /* adjust the top position */
  right: 10px; /* adjust the right position */
  background-color: #968080;
  padding: 5px;
  border-radius: 15px;
  border: 1px solid rgb(245, 242, 242);
  display: none;
  width: 200px;
  max-height: 200px;
  overflow-y: auto;
  flex-direction: column;
  transition: none;
  z-index: 1000;
  scrollbar-width: none; /* Firefox */
  -ms-overflow-style: none; /* Internet Explorer 10+ */

}

.narv-menu ul {
  list-style: none;
  margin: 0;
  padding: 0;
  display: flex;
  flex-direction: column;
  background-color: #968080; /* background color */
  border-radius: 10px; /* border radius */
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1); /* box shadow */
  
}

.narv-menu li {
  margin-bottom: 10px;
  width: 90%;
  padding: 5px;
  border-bottom: 1px solid #ccc;
  font-family: Arial, sans-serif; /* font family */
  cursor: pointer;
}

.narv-menu a {
  text-decoration: none;
  color: #0b2938;
}

.narv-menu li:hover {
  background-color: #33baf8 !important;
  color: #fff !important;
  padding: 5px 10px;
  border-radius: 5px;
  display: inline-block;
}


.show {
  display: block;
  top: 40px;
  right: 30px;
  z-index: 1000; /* add a high z-index value */
}
 
  
  #select-market{
    position: relative;
    background-color: rgb#fff;
    color: #12729e;
    padding: 10px 10px;
    border: 2px solid #310723;
    border-radius: 5px;
    font-size: 16px; /* font size */
    font-weight: bold; /* font weight */
    cursor: pointer;
  }

  #town-list {
    position: absolute;
    top: 0;
    left: 145px; /* adjust this value to position the town list next to the button */
    background-color: #f1f07bfb;
    border: 5px solid #ccc;
    border-radius: 10px;
    padding: 10px;
    width: 20%;
    margin-bottom: 3px;
    margin-top:7px;
    margin-right:20px;
    transition: transform 0.2s ease;
    max-height: 100px; /* Adjust the max height as needed */
    overflow-y: auto; /* add scrollbar if content exceeds max-height */
    display: none; /* hide the town list by default */
    cursor: pointer;
    z-index: 1;
    scrollbar-width: none;
    -ms-overflow-style: none;
  }

  #town-list li {
    margin-bottom: 10px;
  }

  #area-list {
    position: absolute;
    top: 0;
    left: 350px; /* adjust the left position to place it alongside the town list */
    background-color: #f1f07bfb;
    border: 5px solid #ccc;
    border-radius: 10px;
    padding: 10px;
    width: 20%;
    margin-bottom: 0px;
    margin-top:7px;
    margin-right:20px;
    transition: transform 0.2s ease;
    max-height: 150px; /* Adjust the max height as needed */
    overflow-y: auto; /* add scrollbar if content exceeds max-height */
    visibility: hidden; /* hide market list initially */   
    cursor: pointer;
    z-index: 1;
    scrollbar-width: none;
    -ms-overflow-style: none;

  }

  #area-list a {
      text-decoration: none;
      color:#310723;
    }

    #area-list li {
      margin-bottom: 10px;
    }
    
media-handles{
  background-color: #310723;
  padding: 20px;
  border: 2px solid red;
  border-radius: 10px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}


.handles {
  position: absolute;
  width: 18%;
  height: 38%;
  left: 74.5%;
  top: 18%;
  background-color: #d5e5e7;
  padding: 15px;
  border: 2px solid #fff;
  border-radius: 10px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
  overflow: hidden;
  display: flex;
}

.handles p{
  white-space: nowrap;
  animation: crawl 50s linear infinite;
  font-size: 20px;
  color: #0f4979f8;
  text-shadow: 1px 1px #666, 3px 3px #fff, 243, 5px 5px #0ce9f1f8;
}

@keyframes crawl {
  0% {
    transform: translateX(100%);
  }
  100% {
    transform: translateX(-100%);
  }
}


